Description: C++11 compatibility
 Use C++11 static_assert instead of a macro for assert.
Bug-Debian: https://bugs.debian.org/856406
Forwarded: no
Author: Graham Inggs <ginggs@debian.org>
Last-Update: 2017-08-11
--- a/vcg/vcg/math/base.h
+++ b/vcg/vcg/math/base.h
@@ -93,11 +93,6 @@
 #include <assert.h>
 #include <limits.h>
 
-/// static_assert: implemented as a macro for "assert", but it is separated for clarity.
-/// Should be used for checking integrity constraints that can be tested at complile time,
-/// as the ones involving templated constants in templated classes.
-#define static_assert assert
-
   #ifdef __BORLANDC__
     float sqrtf (float v) {return sqrt(v);}
     float fabsf (float v) {return fabs(v);}
